package router

import (
	"git.echol.cn/loser/lckt/router/article"
	"git.echol.cn/loser/lckt/router/bot"
	"git.echol.cn/loser/lckt/router/category"
	"git.echol.cn/loser/lckt/router/example"
	"git.echol.cn/loser/lckt/router/system"
	"git.echol.cn/loser/lckt/router/user"
)

var RouterGroupApp = new(RouterGroup)

type RouterGroup struct {
	System   system.RouterGroup
	Example  example.RouterGroup
	Category category.RouterGroup
	Bot      bot.RouterGroup
	Article  article.RouterGroup
	User     user.UserRouter
}
