package service

import (
	"git.echol.cn/loser/lckt/service/article"
	"git.echol.cn/loser/lckt/service/bot"
	"git.echol.cn/loser/lckt/service/category"
	"git.echol.cn/loser/lckt/service/example"
	"git.echol.cn/loser/lckt/service/system"
	"git.echol.cn/loser/lckt/service/user"
)

var ServiceGroupApp = new(ServiceGroup)

type ServiceGroup struct {
	SystemServiceGroup   system.ServiceGroup
	ExampleServiceGroup  example.ServiceGroup
	CategoryServiceGroup category.ServiceGroup
	BotServiceGroup      bot.ServiceGroup
	ArticleGroup         article.ServiceGroup
	UserServiceGroup     user.ServiceGroup
}
